Skip to main content

Promote Secondary Card to Primary

PUT 

/client/users/:correlation_id/card/:loyalty_id/promote

  • This call promotes a Secondary card to the Primary card of the account. The previous Primary card is kept with status ACTIVE.

  • The correlation ID used with the Start Session call will be used to identify the account.

  • The card number is sent as a path parameter is the Secondary card to be promoted.

  • The card number to be promoted must be from the same account as the Primary card.

  • It's not possible to promote a secondary card to primary if the account status is CLOSED or DECEASED.

Request

Body

There is no Body for this request.

Response

AttributeDefinitionFormatNotes
messageProvides message about success of process.StringIf successful: "Card promoted successfully."

Error Responses

statusMessageerrorMessageerrorCodeDefinition
400 Bad RequestLoyaltyId specified is already the primary card for this account.INVALID_REQUESTThe card selected to make the primary is already the primary card.
400 Bad RequestLoyaltyId specified is not associated with this Account.INVALID_REQUESTThe LoyaltyId used is not valid for this account. Use the correct LoyaltyId.
400 Bad RequestCannot promte card for this account.INVALID_REQUESTThe card selected cannot be promoted for this account (unspecified reason).
401 UnauthorizedAccount status is CLOSED.API_VALIDATIONCannot promote card for an account that is CLOSED.

Request

Responses

200 - Promoted Secondary Card to Primary